docs

Create a customer

Creates a new customer record. At least one of email, phone or externalId is required. Customers are environment-specific (test vs live database).

POST
/customers

Creates a new customer record.

At least one of email, phone or externalId is required. Customers are environment-specific (test vs live database).

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customers" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "cus_abc123xyz",  "object": "customer",  "type": "registered",  "createdAt": "string",  "updatedAt": "string",  "name": "string",  "email": "string",  "phone": "string",  "address": {    "line1": "string",    "line2": "string",    "city": "string",    "state": "string",    "postalCode": "string",    "country": "string",    "property1": null,    "property2": null  },  "externalId": "user_8412",  "locale": "ar",  "taxIds": [    {      "type": "eg_tin",      "value": "string"    }  ],  "currency": "EGP",  "balance": -5000,  "guestFingerprint": {    "emails": [      "string"    ],    "phones": [      "string"    ],    "cardFingerprints": [      {}    ]  },  "metadata": {    "property1": null,    "property2": null  },  "merchantId": "string"}